Subject: Re: Newbie grief

From: Rich Pixley <[email-masked]>
Date: Thu, 03 May 2012 11:46:45 -0700

On 5/1/12 15:56 , Michael Witten wrote:
> On Tue, May 1, 2012 at 9:57 PM, Rich Pixley<[email-masked]>  wrote:
>
>> In contrast, I was up and using mercurial in about a day and a half,
>> including all of the stuff we've discussed, and all of the things I've even
>> read about in git.  Learning mq's only took about 20 minutes.
> Fortunately, git is based on extremely simple principles.
> Unfortunately, git grew out of really bright people hacking stuff
> together in order to get sh!t dun; the result is not approachably or
> even well documented, the UI is sometimes a bit of a kludge, the API
> is probably nonexistent, and the terminology is so loosely thrown
> about that it's easy to forget which way is up in discussions.
> (Note, though, that Junio has done a laudable job of keeping the
> whole experiment going strong).
Thank you for acknowledging that.
> Having recognized these deficiencies, I suggest that you provide
> at least one tiny little use case that doesn't work as you'd
> like; it should be in the form of a command line example that we
> can all reproduce and discuss precisely.
I think I already have.  And you've given me an approach that is largely 
functional in git.  It's not wonderful, but it's mostly functional.

I'll post my comparison elsepost.

--rich